package be.iminds.ilabt.jfed.experimenter_gui.dialogs;

import be.iminds.ilabt.jfed.experiment.ExperimentController;
import be.iminds.ilabt.jfed.rspec.rspec_source.RequestRspecSource;
import javafx.stage.Window;

/**
 * User: twalcari
 * Date: 1/12/2015
 * Time: 14:10
 */
public interface DialogsFactory {
    void showCreateSliceDialog(Window parentWindow, RequestRspecSource requestRspecSource);

    void showRebootDialog(Window parentWindow, ExperimentController experimentController);

    void showEditSshKeysDialog(Window parentWindow, ExperimentController experimentController);

    void showShareSliceDialog(Window parentWindow,  ExperimentController experimentController);

    void showCreateReservationDialog(Window parentWindow, RequestRspecSource requestRspecSource);

    void showRenewSliceDialog(Window parentWindow, ExperimentController experimentController);

    void showTerminateSliceDialog(Window parentWindow, ExperimentController experimentController);
}
